<bugID>791569<Summary>Downloads panel and download manager show up on first download, then only download manager (download button missing)</Summary><Description>Created attachment 661622
screenshot both download modes active

Firefox Aurora 20120916, Windows XP SP3 32 bit

The downloads panel and the download manager show up on first download, then only the download manager (the download button is always missing).

Steps to reproduce:
1. Create a new profile.
2. Dismiss the check for default browser and 'Know your rights' yada yada.
3. Open about:config and set browser.download.useToolkitUI to false.
4. Go to http://www.7-zip.org and download the .exe for 32 bit.

Actual result:
The 'old' downloads manager window pops up and the downloads panel is also shown.

5. Go to http://www.heise.de/download/wsus-offline-update-ct-offline-update-348c5f757089469c57791ccd3ed6bc64-1347818738-2638170.html
6. Click 'Download direkt von heise.de'.
7. Download the file offered.

Actual result:
Only the downloads manager is shown downloading the file, the 'Download complete' will slide in after the download has been finished.</Description></bugID>